import { defineConfig } from 'astro/config';
import markdownIntegration from '@astropub/md'
import sitemap from '@astrojs/sitemap';
import mdx from '@astrojs/mdx';

export default defineConfig({
  output: 'static',
  compressHTML: true,
  site: process.env.ASTRO_SITE,
  trailingSlash: 'always',
  integrations: [
    markdownIntegration({
      remarkPlugins: [],
      rehypePlugins: [],
      syntaxHighlight: 'shiki'
    }),
    sitemap(),
    mdx({
      syntaxHighlight: 'shiki',
      shikiConfig: { theme: 'dracula' },
    }),
  ],
  build: {
    format: 'directory',
    inlineStylesheets: 'never',
  },
  redirects: {
    '/awsdevops': '/carreras/aws-devops',
    '/cloudops': '/carreras/cloudops',
    '/devops': '/carreras/devops',
  },  
});
